matrix:
  platform:
  - debian13
  - macos_arm64
  - ubuntu2404
  - ubuntu2404_arm64
  bazel:
  # NOTE: Supporting Bazel 9.x or later needs updates on the upstream modules.
  # - rolling
  # - 9.x
  - 8.x
  - 7.x
tasks:
  verify_targets:
    name: Verify build targets
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_flags:
    - '--cxxopt=-std=c++17'
    - '--host_cxxopt=-std=c++17'
    - '--process_headers_in_dependencies'
    build_targets:
    - '@nlopt//...'
